/**********************************************************************
SQL Server Internals from the Practical Angle

Dmitri Korotkevitch
http://aboutsqlserver.com
dmitri@aboutsqlserver.com

Locking and Blocking: Schema Locks (1)
**********************************************************************/

use TroubleshootingDb
go

set transaction isolation level read uncommitted
begin tran
	alter table dbo.Positions add Dummy int null
	select * from sys.dm_tran_locks where request_session_id = @@SPID
	-- run session 2 code
rollback
go